| hwicap Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions
xhwicap_read_frame_polled_example.c File Reference

## Overview

The is example shows how to use the XHwIcap_DeviceReadFrame() to read a frame of data.

This example simply reads one frame from the device using the polled mode.

This example assumes that there is a UART Device or STDIO Device in the hardware system.

Note

This example should run on any Virtex4 or Virtex5 or Virtex6 or Spartan6 or Kintex 7 device.

    MODIFICATION HISTORY:

    Ver   Who  Date     Changes

    1.00a bjb  11/21/03 First release
    1.00a sv   07/18/05 Minor changes to comply to Doxygen and coding guidelines
    1.01a sv   04/10/07 Changes to support V4
    2.00a sv   10/04/07 Changes to support FIFO mode
    4.00a hvm  11/20/09 Updated to support V6
    5.00a hvm  2/20/10  Updated to support S6.
    6.00a hvm  08/05/11 Added support for K7 family
    10.0  bss  6/24/14  Removed support for families older than 7 series
    11.6  Nava 06/28/23 Added support for system device-tree flow.
    11.7  Nava 02/06/25 Updated HWICAP_BASEADDR to use XPAR_HWICAP_0_BASEADDR
                        instead of XPAR_XHWICAP_0_BASEADDR to align with YAML
                        changes.

## Functions
int | HwIcapReadFramePolledExample (u16 DeviceId)
| This function reads a frame from the device as an example using polled mode. More...
int | main (void)
| Main function to call the HwIcap Frame example. More...

## Function Documentation

int HwIcapReadFramePolledExample | ( | u16 | DeviceId | ) |

This function reads a frame from the device as an example using polled mode.

Parameters

  DeviceId | is the XPAR_<HWICAP_INSTANCE>_DEVICE_ID value from xparameters.h

Returns
  XST_SUCCESS if successful, otherwise XST_FAILURE

Note
  None

References XHwIcap_Config::BaseAddress, XHwIcap::WordsPerFrame, XHwIcap_CfgInitialize(), XHwIcap_DeviceReadFrame(), XHwIcap_LookupConfig(), and XHwIcap_SelfTest().

Referenced by main().

int main | ( | void |  | ) |

Main function to call the HwIcap Frame example.

Parameters

  None |

Returns
  XST_SUCCESS if successful, XST_FAILURE if unsuccessful

Note
  None

References HwIcapReadFramePolledExample().